import { RequestOptionsFactory } from '@wix/sdk-types';
/**
 * Sends notifications based on the template and dynamic values provided.
 *
 * > **Note**: An app can call this method up to 100,000 times per month for each site.
 *
 * When you create a notification template ([SDK](https://dev.wix.com/docs/sdk/backend-modules/notifications/notifications-v3/create-a-notification-template) | [REST](https://dev.wix.com/docs/rest/business-management/notifications/notifications/creating-a-notification-template)), you are provided with a notification template ID. Call the Notify method with this ID as `notificationTemplateID` to trigger notifications based on that template.
 *
 * If the notification template contains placeholders for dynamic values, provide those values as key-value pairs in the `dynamicValues` array. The values you specify are incorporated in the notifications sent out.
 */
export declare function notify(payload: object): RequestOptionsFactory<any>;
